<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
        <title>RTSP-Web-Proxy</title>
        <style>
            a { text-decoration: none; }
        </style>
    </head>
    <body>
        <div id="app" class="container"/>
        <script>
            fetch('/config')
            .then(async (res) => {
                const doc = await res.json();
                const app = document.getElementById('app');

                for (const [group, value] of Object.entries(doc)) {
                    let elt = document.createElement('h3');
                    elt.classList.add('mt-2', 'fw-bold', 'text-primary');
                    elt.textContent = value?.description ?? group;
                    app.append(elt);

                    const listElt = document.createElement('div');
                    listElt.classList.add('list-group', 'mb-2');
                    for (const camera of value.cameras) {
                        const elt = document.createElement('a');
                        elt.classList.add('list-group-item', 'list-group-item-action');
                        elt.href = `stream/${group}/${camera.name}`;

                        let p = document.createElement('h4');
                        p.classList.add('m-0');
                        p.textContent = camera.name;
                        elt.appendChild(p);

                        if (camera.description) {
                            p = document.createElement('small');
                            p.classList.add('text-secondary', 'ps-2');
                            p.textContent += camera.description;
                            elt.appendChild(p);
                        }
                        listElt.appendChild(elt);
                    }
                    app.append(listElt);
                }
            });
        </script>
    </body>
</html>